html {
    height: 100%;
}

body {
    background-image: linear-gradient(to bottom, #383a6a, #4185cc, #3ea6c9);
    font-family: "franklin gothic", "arial", "segoe ui", sans-serif;
    font-size: 12px;
}

div[style*="fixed"], div[style*="absolute"] {
    max-height: 100vh;
}

@font-face {
    font-family: "PixelMplus12";
    src: url("/util/fonts/AliceinWonderland.ttf") format("truetype");
    font-display: swap;
}

::-webkit-scrollbar {
    width: 7px;
    height: 7px;
}
::-webkit-scrollbar-track {
    background: #211f1f;
}
::-webkit-scrollbar-thumb {
    background-color: #454545;
    border-radius: 0;
    border: 1px outset black;
}
::-webkit-scrollbar-thumb:hover {
    background-color: #ffffff;
}

::selection {
    background: #feffaf;
    color: #383a6a;
    text-decoration: underline wavy #ded8ff;
}

@keyframes fadein {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --white: #f2f2ec;
}

.wrapper {
    max-width: 600px;
    height: 600px;
    background: linear-gradient(to bottom, var(--white) 80%, transparent);
    margin: 10% auto;
    box-shadow: 0 0 16px -6px #f2f2ec;
    display: flex;
    border-radius: 8px;
    flex-direction: column;
}

.container {
    position: relative;
    flex-grow: 1;
    padding: 3px;
    border: 2px ridge #f2f2ec;
    color: #383a6a;
    display: flex;
    flex-direction: column;
}

.header {
    font-style: italic;
}

header {
    height: 155px;
    background: url(https://cobie.nekoweb.org/graphics/shrineware/julian/julian-museum.JPG);
    background-size: 944px;
    background-position: left;
    border: 3px groove;
}

.header i {
    display: block;
    position: absolute;
    margin: -157px 0 0 535px;
    color: var(--white);
}

.header h1 {
    margin: -28px 0 0 0;
    font-weight: 100;
    background: linear-gradient(to right, var(--white) 30%, transparent);
    padding: 0 5px;
    text-shadow: -2px -1px 5px;
    height: 50px;
    color: #ffffff;
}
.header h1 span {
    display: block;
    position: absolute;
    margin-top: -23px;
    filter: drop-shadow(0 0 1px #383a6a);
}
.header h1 span:first-child:first-letter {
    font-size: 55px;
}
.header q {
    display: block;
    margin: -17px 0 0 18px;
}
.pagedoll {
    top: 0;
    left: 0;
    position: absolute;
    margin-left: 457px;
    margin-top: 400px;
    pointer-events: none;
    user-select: none;
    transition: all 0.5s ease-in-out;
    white-space: nowrap;
}

.pagedoll img {
    max-height: 200px;
}
marquee {
    border: 2px groove var(--white);
}

.main-part {
    border: 2px groove;
    padding: 3px;
    flex-grow: 1;
}

.buttones button,
button {
    padding: 2px;
    font: unset;
    transition: all 0.3s ease;
}

.buttones button:hover {
    font-size: 13px;
}

.buttones button:active {
    font-size: 12.5px;
    filter: brightness(0.7);
}

.main-part p {
    border: 2px groove;
    padding: 3px;
    margin: 3px 0;
}

.container:has(.main-part p:hover) .pagedoll {
    filter: opacity(0);
}

@media (max-width: 800px) {
    .pagedoll,
    .pagedoll * {
        display: none;
    }
    #star-toggle {
        display: none;
    }

    .buttones button,
    button {
        padding: 6px;
        font-size: 13px;
    }
    body {
        font-size: 14px;
    }
}
